{pkgs, ...}: {
  plugins = {
    lualine.enable = true;
  };
  
  plugins.gitsigns = {
    enable = true;
    settings.current_line_blame = true;
  };

  plugins.lsp = {
    enable = true;
    servers = {
      rust_analyzer = {
        enable = true;
	installRustc = false;
	installCargo = false;
      };
    };
  };

  colorschemes.catppuccin = {
    enable = true;
    settings.flavor = "frappe";
  };
}
